Get application versions by application key
curl --request GET \
--url https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {},
"items": [
{
"autoAdded": true,
"key": "2",
"name": "01.02.03",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_links": {},
"_version": 123,
"creationDate": "1654104600000",
"supported": true
}
],
"totalCount": 1
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get application versions by application key
Get a list of versions for a specific application in an account.
GET
/
api
/
v2
/
applications
/
{applicationKey}
/
versions
Get application versions by application key
Authorizations
Path Parameters
The application key
Query Parameters
Accepts filter by key, name, supported, and autoAdded. To learn more about the filter syntax, read Filtering applications and application versions.
The number of versions to return. Defaults to 50.
Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
Accepts sorting order and fields. Fields can be comma separated. Possible fields are creationDate, name. Examples: sort=name sort by names ascending, sort=-name,creationDate sort by names descending and creationDate ascending.